---
title: llarp/layers/all.hpp

---

# llarp/layers/all.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::layers::Layers](Classes/classllarp_1_1layers_1_1Layers.md)**  |




## Source code

```cpp
#pragma once

#include <llarp/layers/platform/platform_layer.hpp>
#include <llarp/layers/flow/flow_layer.hpp>

namespace llarp
{
  // forward declare
  struct AbstractRouter;
}  // namespace llarp

namespace llarp::layers
{
  class Layers
  {
    flow::FlowLayer_Base _flow{};
    platform::PlatformLayer_Base _plat{_flow};

   public:
    explicit Layers(AbstractRouter&)
    {}
  };

}  // namespace llarp::layers
```


-------------------------------

Updated on 2023-01-23 at 14:22:33 +0000
